GET /v1/productcategories

visma.com

Summary: Get product categories.
Operation ID: ProductCategories_GetProductCategories
Auth: unknown

Parameters (7)

active (boolean, query, optional)

If not given, return all Product categories, if given as true return only active Product categories, if given as false returns only inactive Product categories.

calculateRowCount (boolean, query, optional, default: False)

Optional: Calculate total number of rows.

changedSince (string, query, optional)

Optional: Get product categories that have been added or changed after this date time (greater or equal).

firstRow (integer, query, optional)

Optional: first row to fetch. Default 0 = first row.

rowCount (integer, query, optional)

Optional: How many rows to fetch, Default all.

sortings (array, query, optional)

Optional: A list of Key-Value pairs, containing names of fields and directions by which the results should be sorted. Any sortable field name (submodel fields not supported) in the model can be used, while value can be "Desc" or "Asc". Example: ?sortings[0].key=Name&sortings[0].value=Desc &sortings[1].key=Code&sortings[1].value=Asc.

textToSearch (string, query, optional)

Optional: Text to search from product category name or code.

No probe data for this endpoint yet.